=== debian/changelog ===
buildbot (2.10.1-1) unstable; urgency=medium

  * New upstream version 2.10.1

 -- Robin Jarry <robin@jarry.cc>  Mon, 01 Feb 2021 23:19:47 +0100

buildbot (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0
  * Bump Standards-Version to 4.5.1

 -- Robin Jarry <robin@jarry.cc>  Tue, 05 Jan 2021 10:08:12 +0100

buildbot (2.8.4-2) unstable; urgency=medium

  * d/patches: fix tests with python 3.9 (Closes: #975808)

 -- Robin Jarry <robin@jarry.cc>  Thu, 26 Nov 2020 11:19:44 +0100

buildbot (2.8.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Robin Jarry ]
  * New upstream version 2.8.4

 -- Robin Jarry <robin@jarry.cc>  Fri, 23 Oct 2020 18:00:41 +0200
