=== debian/control ===
Source: buildbot
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Robin Jarry <robin@jarry.cc>
Standards-Version: 4.5.1
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>= 3.20180313~),
 bash-completion,
 po-debconf,
 git,
 python3 (>= 3.5),
 python3-setuptools (>= 8.0),
 python3-autobahn (>= 0.16.0),
 python3-dateutil (>= 1.5),
 python3-future,
 python3-idna,
 python3-jinja2 (>= 2.1),
 python3-jwt,
 python3-migrate (>= 0.9),
 python3-openssl,
 python3-parameterized,
 python3-pkg-resources (>= 8.0),
 python3-service-identity,
 python3-sqlalchemy (>= 1.2.0),
 python3-twisted (>= 17.9.0),
 python3-txaio (>= 2.2.2),
 python3-zope.interface (>= 4.1.1),
 python3-mock,
 python3-treq,
 python3-yaml,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-docutils,
 sphinx-doc,
 sphinx-common,
 scdoc,
Homepage: https://buildbot.net
Vcs-Git: https://salsa.debian.org/python-team/packages/buildbot.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/buildbot
Rules-Requires-Root: no

Package: buildbot
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-autobahn (>= 0.16.0),
 python3-dateutil (>= 1.5),
 python3-idna,
 python3-jinja2 (>= 2.1),
 python3-jwt,
 python3-migrate (>= 0.9),
 python3-openssl,
 python3-pkg-resources (>= 8.0),
 python3-service-identity,
 python3-sqlalchemy (>= 1.2.0),
 python3-twisted (>= 17.9.0),
 python3-txaio (>= 2.2.2),
 python3-zope.interface (>= 4.1.1),
 passwd,
 lsb-base,
Breaks:
 python3-buildbot (<< 1.7.0),
Replaces:
 python3-buildbot (<< 1.7.0),
Recommends:
 buildbot-worker,
 bash-completion,
Suggests:
 buildbot-doc,
 python3-lz4,
 python3-psycopg2 | python3-mysqldb,
Description: System to automate the compile/test cycle (server)
 The BuildBot is a system to automate the compile/test cycle required
 by most software projects to validate code changes. By automatically
 rebuilding and testing the tree each time something has changed,
 build problems are pinpointed quickly, before other developers are
 inconvenienced by the failure. The guilty developer can be identified
 and harassed without human intervention.
 .
 By running the builds on a variety of platforms, developers who do
 not have the facilities to test their changes everywhere before
 checkin will at least know shortly afterwards whether they have
 broken the build or not. Warning counts, lint checks, image size,
 compile time, and other build parameters can be tracked over time,
 are more visible, and are therefore easier to improve.
 .
 This package contains the master server.

Package: buildbot-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 buildbot (<< 1.0),
 python3-buildbot-doc (<< 1.7.0),
Replaces:
 buildbot (<< 1.0),
 python3-buildbot-doc (<< 1.7.0),
Description: System to automate the compile/test cycle (documentation)
 The BuildBot is a system to automate the compile/test cycle required
 by most software projects to validate code changes. By automatically
 rebuilding and testing the tree each time something has changed,
 build problems are pinpointed quickly, before other developers are
 inconvenienced by the failure. The guilty developer can be identified
 and harassed without human intervention.
 .
 By running the builds on a variety of platforms, developers who do
 not have the facilities to test their changes everywhere before
 checkin will at least know shortly afterwards whether they have
 broken the build or not. Warning counts, lint checks, image size,
 compile time, and other build parameters can be tracked over time,
 are more visible, and are therefore easier to improve.
 .
 This package contains the HTML documentation for both the master
 and worker.

Package: buildbot-worker
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-future,
 python3-twisted (>= 17.9.0),
 passwd,
 lsb-base,
Breaks:
 buildbot-slave (<< 1.0),
 python3-buildbot-worker (<< 1.7.0),
Replaces:
 buildbot-slave (<< 1.0),
 python3-buildbot-worker (<< 1.7.0),
Recommends:
 bzr | subversion | cvs | mercurial | darcs | git,
Description: System to automate the compile/test cycle (worker agent)
 The BuildBot is a system to automate the compile/test cycle required
 by most software projects to validate code changes. By automatically
 rebuilding and testing the tree each time something has changed,
 build problems are pinpointed quickly, before other developers are
 inconvenienced by the failure. The guilty developer can be identified
 and harassed without human intervention.
 .
 By running the builds on a variety of platforms, developers who do
 not have the facilities to test their changes everywhere before
 checkin will at least know shortly afterwards whether they have
 broken the build or not. Warning counts, lint checks, image size,
 compile time, and other build parameters can be tracked over time,
 are more visible, and are therefore easier to improve.
 .
 This package contains the worker, which performs the actual builds.
 It is recommended to run the worker on behalf of a non-privileged user.

Package: buildbot-slave
Depends:
 ${misc:Depends},
 buildbot-worker,
Architecture: all
Section: oldlibs
Description: transitional package for buildbot-worker
 This is a transitional package for buildbot-worker. It can safely be
 removed.

Package: python3-buildbot
Depends:
 ${misc:Depends},
 buildbot,
Architecture: all
Section: oldlibs
Description: transitional package for buildbot
 This is a transitional package for buildbot. It can safely be removed.

Package: python3-buildbot-worker
Depends:
 ${misc:Depends},
 buildbot-worker,
Architecture: all
Section: oldlibs
Description: yet another transitional package for buildbot-worker
 This is a yet another transitional package for buildbot-worker. It can
 safely be removed.

Package: python3-buildbot-doc
Depends:
 ${misc:Depends},
 buildbot-doc,
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Description: transitional package for buildbot-doc
 This is a transitional package for buildbot-doc. It can safely be
 removed.
