=== debian/changelog ===
buildbot (3.4.0-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 16:47:56 +0000

buildbot (3.4.0-1) unstable; urgency=medium

  * Team upload
  * d/copyright: Amend for latest version

  [ Robin Jarry ]
  * New upstream version 3.4.0
  * d/control: update dependencies to alembic

 -- Bastian Germann <bage@debian.org>  Thu, 18 Nov 2021 18:47:52 +0100

buildbot (3.3.0-1) unstable; urgency=medium

  [ Robin Jarry ]
  * New upstream version 3.3.0 (Closes: #984970)
  * Systemd unit files are now in /usr/lib

  [ Camaleón ]
  * Add debconf translations: Spanish (Closes: #987521)

 -- Robin Jarry <robin@jarry.cc>  Fri, 27 Aug 2021 12:21:17 +0200
