=== debian/control ===
--- 
+++ 
@@ -12,18 +12,19 @@
  git,
  python3 (>= 3.5),
  python3-setuptools (>= 8.0),
+ python3-alembic (>= 1.6.0),
  python3-autobahn (>= 0.16.0),
  python3-dateutil (>= 1.5),
  python3-future,
  python3-idna,
  python3-jinja2 (>= 2.1),
  python3-jwt,
- python3-migrate (>= 0.9),
  python3-openssl,
  python3-parameterized,
  python3-pkg-resources (>= 8.0),
  python3-service-identity,
- python3-sqlalchemy (>= 1.2.0),
+ python3-sqlalchemy (>= 1.3.0),
+ python3-sqlalchemy (<< 1.5),
  python3-twisted (>= 17.9.0),
  python3-txaio (>= 2.2.2),
  python3-zope.interface (>= 4.1.1),
@@ -46,16 +47,17 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-alembic (>= 1.6.0),
  python3-autobahn (>= 0.16.0),
  python3-dateutil (>= 1.5),
  python3-idna,
  python3-jinja2 (>= 2.1),
  python3-jwt,
- python3-migrate (>= 0.9),
  python3-openssl,
  python3-pkg-resources (>= 8.0),
  python3-service-identity,
- python3-sqlalchemy (>= 1.2.0),
+ python3-sqlalchemy (>= 1.3.0),
+ python3-sqlalchemy (<< 1.5),
  python3-twisted (>= 17.9.0),
  python3-txaio (>= 2.2.2),
  python3-zope.interface (>= 4.1.1),
