## buildbot 3.5.0

=== debian/changelog ===
buildbot (3.5.0-1) unstable; urgency=medium

  [ Robin Jarry ]
  * New upstream version 3.5.0
  * d/control:
    + update Standards.Version to 4.6.0
    + Add new dependency to python3-txrequests
    + Add B-D on python3-psutil
    + Tighten versioned dep on python3-unidiff

  [ Nilesh Patra ]
  * Add d/salsa-ci.yml

 -- Robin Jarry <robin@jarry.cc>  Tue, 15 Mar 2022 03:43:52 +0530
