## buildbot 3.6.1

=== debian/changelog ===
buildbot (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1 (Closes: #1021921)

 -- Robin Jarry <robin@jarry.cc>  Wed, 16 Nov 2022 15:56:47 +0100
