=== debian/changelog ===
buildbot (3.7.0-2) unstable; urgency=high

  * Team upload
  * Drop d/salsa-ci.yml
  * Patch: avoid deprecation warnings in tests (Closes: #1028779)

 -- Bastian Germann <bage@debian.org>  Sun, 05 Feb 2023 22:57:26 +0100

buildbot (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0 (Closes: #1013381)

 -- Robin Jarry <robin@jarry.cc>  Mon, 19 Dec 2022 17:31:02 +0100
