=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Robin Jarry <robin@jarry.cc>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends:
  debhelper-compat (= 13),
  dh-python (>= 3.20180313~),
@@ -22,6 +22,7 @@
  python3-openssl,
  python3-parameterized,
  python3-pkg-resources (>= 8.0),
+ python3-psutil,
  python3-service-identity,
  python3-sqlalchemy (>= 1.3.0),
  python3-sqlalchemy (<< 1.5),
@@ -30,6 +31,8 @@
  python3-zope.interface (>= 4.1.1),
  python3-mock,
  python3-treq,
+ python3-txrequests,
+ python3-unidiff (>= 0.6.0),
  python3-yaml,
  python3-sphinx,
  python3-sphinx-rtd-theme,
@@ -60,6 +63,8 @@
  python3-sqlalchemy (<< 1.5),
  python3-twisted (>= 17.9.0),
  python3-txaio (>= 2.2.2),
+ python3-txrequests,
+ python3-unidiff (>= 0.6.0),
  python3-zope.interface (>= 4.1.1),
  passwd,
  lsb-base,
