=== debian/changelog ===
buildbot (3.10.1-2) unstable; urgency=medium

  * Team Upload
  * remove missed dependency on python3-future

 -- Alexandre Detiste <tchet@debian.org>  Mon, 15 Jan 2024 23:31:00 +0100

buildbot (3.10.1-1) unstable; urgency=medium

  * Team Upload
  * remove obsoletes dependencies on python3-mock & python3-future

  [ Robin Jarry ]
  * d/rules: use parsed upstream version
  * New upstream version 3.10.1 (Closes: #1058644)
  * d/patches: rebase on latest version
  * d/patches: force C.UTF-8 locale when building docs (Closes: #1057929)
  * d/control: update dependencies

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Jan 2024 00:30:07 +0100

buildbot (3.9.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when dh_installsystemd puts units to /usr (Closes: #1052995)

 -- Robin Jarry <robin@jarry.cc>  Fri, 27 Oct 2023 15:09:26 +0200

buildbot (3.9.2-1) unstable; urgency=medium

  * New upstream version 3.9.2

 -- Robin Jarry <robin@jarry.cc>  Tue, 05 Sep 2023 09:20:16 +0200

buildbot (3.9.0-1) unstable; urgency=medium

  * New upstream version 3.9.0
  * d/control: update Standards-Version to 4.6.2
  * d/patches: silence twisted deprecation warning
  * d/rules: silence sqlalchemy uber warning
  * d/control: remove deprecated lsb-base
  * d/rules: fix docs build and clean (Closes: #1043950)

 -- Robin Jarry <robin@jarry.cc>  Tue, 29 Aug 2023 17:03:16 +0200
