=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Robin Jarry <robin@jarry.cc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  dh-python (>= 3.20180313~),
@@ -14,8 +14,8 @@
  python3-setuptools (>= 8.0),
  python3-alembic (>= 1.6.0),
  python3-autobahn (>= 0.16.0),
+ python3-croniter,
  python3-dateutil (>= 1.5),
- python3-future,
  python3-idna,
  python3-jinja2 (>= 2.1),
  python3-jwt,
@@ -29,7 +29,6 @@
  python3-twisted (>= 17.9.0),
  python3-txaio (>= 2.2.2),
  python3-zope.interface (>= 4.1.1),
- python3-mock,
  python3-treq,
  python3-txrequests,
  python3-unidiff (>= 0.6.0),
@@ -67,7 +66,6 @@
  python3-unidiff (>= 0.6.0),
  python3-zope.interface (>= 4.1.1),
  passwd,
- lsb-base,
 Breaks:
  python3-buildbot (<< 1.7.0),
 Replaces:
@@ -132,10 +130,8 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-future,
  python3-twisted (>= 17.9.0),
  passwd,
- lsb-base,
 Breaks:
  buildbot-slave (<< 1.0),
  python3-buildbot-worker (<< 1.7.0),
