=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export DH_VERBOSE = 1
 export LC_ALL = C.UTF-8
-export VERSION = $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()')
-export BUILDBOT_VERSION = $(VERSION)
+export BUILDBOT_VERSION = $(DEB_VERSION_UPSTREAM)
+export PYTHONDONTWRITEBYTECODE = 1
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -19,10 +21,19 @@
 		--package=buildbot
 	$(@:override_%=%) --buildsystem=pybuild --sourcedirectory=worker \
 		--package=buildbot-worker
-	$(@:override_%=%) --sourcedirectory=master/docs \
-		--package=buildbot-doc -- JOBS=$(NUMJOBS)
+	@case $@ in \
+	override_dh_auto_clean) \
+		echo "$(MAKE) -C master/docs clean && $(RM) _trial_temp/"; \
+		$(MAKE) -C master/docs clean && rm -rf _trial_temp/; \
+		;; \
+	override_dh_auto_build) \
+		echo "$(MAKE) -C master/docs html JOBS=$(NUMJOBS)"; \
+		$(MAKE) -C master/docs html JOBS=$(NUMJOBS); \
+		;; \
+	esac
 
 test_env = \
+	SQLALCHEMY_SILENCE_UBER_WARNING=1 \
 	PYTHONPATH=pkg:{destdir}/{install_dir} \
 	PATH=$$PATH:{destdir}/usr/bin
 test_command = trial3 --reporter=text buildbot.test buildbot_worker.test
@@ -54,8 +65,13 @@
 
 override_dh_installsystemd:
 	dh_installsystemd --no-enable --no-start -r --no-restart-after-upgrade
-	ln -s /dev/null debian/buildbot/lib/systemd/system/buildbot.service
-	ln -s /dev/null debian/buildbot-worker/lib/systemd/system/buildbot-worker.service
+	set -e; if test -d debian/buildbot/lib/systemd/system; then \
+		ln -s /dev/null debian/buildbot/lib/systemd/system/buildbot.service; \
+		ln -s /dev/null debian/buildbot-worker/lib/systemd/system/buildbot-worker.service; \
+	else \
+		ln -s /dev/null debian/buildbot/usr/lib/systemd/system/buildbot.service; \
+		ln -s /dev/null debian/buildbot-worker/usr/lib/systemd/system/buildbot-worker.service; \
+	fi
 
 %:
 	dh $@ --with python3,bash-completion,sphinxdoc
