=== debian/tests/control ===
Tests: smoke
Restrictions: needs-root, isolation-container, allow-stderr
